cURL
curl https://api.relayer.fi/v1/transactions/pending-signature \
-H "Authorization: ApiKey $RELAYER_API_KEY"const response = await fetch("https://api.relayer.fi/v1/transactions/pending-signature", {
headers: { Authorization: `ApiKey ${process.env.RELAYER_API_KEY}` },
});
// Returns all transactions awaiting passkey signature across all wallets
// in the workspace — useful for an "Outstanding actions" dashboard view.import requests
url = "https://testnet.relayer.fi/v1/transactions/pending-signature"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://testnet.relayer.fi/v1/transactions/pending-signature', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Transactions
List transactions awaiting passkey signature
Returns transactions with awaiting_signature status for the integrator. These are transactions that have been prepared (or approved) and are waiting for the integrator to sign with their passkey.
GET
/
transactions
/
pending-signature
cURL
curl https://api.relayer.fi/v1/transactions/pending-signature \
-H "Authorization: ApiKey $RELAYER_API_KEY"const response = await fetch("https://api.relayer.fi/v1/transactions/pending-signature", {
headers: { Authorization: `ApiKey ${process.env.RELAYER_API_KEY}` },
});
// Returns all transactions awaiting passkey signature across all wallets
// in the workspace — useful for an "Outstanding actions" dashboard view.import requests
url = "https://testnet.relayer.fi/v1/transactions/pending-signature"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://testnet.relayer.fi/v1/transactions/pending-signature', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
⌘I